/* basic reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Segoe UI", sans-serif;
  background-color: #1e1025;
  color: #fff;
  line-height: 1.6;
}

a {
  color: inherit;
  text-decoration: none;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem 2rem;
  background: #0c0615;
  background-color: transparent;
  position: sticky;
  top: 0;
  z-index: 1000000000000;
  gap: 100px;
  background-color: #1e1025;
}

.socialMedia {
  display: flex;
  gap: 24px;

  height: 24px;
}

.logo {
  font-weight: bold;
  font-size: 1.5rem;
}

.nav-links {
  display: flex;
  gap: 40px;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  height: 20px;
  cursor: pointer;
}

.hamburger .line {
  width: 30px;
  height: 3px;
  background: #fff;
  border-radius: 2px;
  transition: 0.3s;
}

/* menu */
.hamburger.active .line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active .line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .line:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* Versión móvil */
@media (max-width: 768px) {
  .nav-links {
    position: absolute;
    top: 70px;
    right: 0;
    width: 100%;
    background-color: #1e1025;
    font-size: 20px;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
    margin-top: -15px;
    padding-bottom: 15px;
  }

  .nav-links a {
    margin-top: 6px;
    width: 100%;
    text-align: center;
  }

  .nav-links a:hover {
    width: 100%;
    text-align: center;
    background-color: #391e46;
  }

  .nav-links.open {
    max-height: 200px;
  }

  .hamburger {
    display: flex;
  }

  .navbar {
    justify-content: flex-end;
  }
}

@media (max-width: 440px) {
  #servicios-titulo-h2 {
    font-family: "Cinzel Decorative", serif;

    font-weight: 700;
    text-align: center;
    background: linear-gradient(
      to right,
      #e7b94b,
      #fceabb,
      #e7b94b
    ); /* Degradado dorado horizontal */
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    letter-spacing: 0px;
    position: relative;
    display: inline-block;
    padding-bottom: 10px;
    margin-top: -40px;
    font-size: 40px !important;
  }

  .servicios-titulo img {
    width: 300px;
    margin: 0 auto;
  }
}

/* HERO AREA */

.hero {
  background-image: url("./assets/hero-background.png");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  position: relative;
  overflow: hidden;
  margin: -55px;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(
    0,
    0,
    0,
    0.285
  ); /* Oscurece un poco para legibilidad del texto */
  z-index: 1;
}

.hero-content {
  position: relative;
  z-index: 2;
  font-family: "Cinzel Decorative", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 45px;
  width: 100%;
  max-width: 1000px;
}

.hero-content h1 {
  font-size: 65px;
  font-weight: bold;
  line-height: 55px;
  margin-bottom: 20px;
  font-weight: bold;

  background: linear-gradient(to right, #888, #fff, #888);
  background-size: 100%;
  background-repeat: no-repeat;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
}

.width-hero {
  display: flex;
  width: 1100px;
  height: 610px;
  justify-content: space-between;
  align-items: center;
  margin-bottom: -85px;
}

.cta-button {
  background-color: #ffcc4d;
  color: #000;
  padding: 12px 24px;
  text-decoration: none;
  font-weight: bold;
  border-radius: 8px;
  margin-top: 20px;
  display: inline-block;
  transition: background-color 0.3s ease;
  font-size: 20px;
}

.cta-button:hover {
  background-color: #e6b800;
}

.cta-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif; /* Usa esta o una similar */
  font-size: 1.1rem;
  font-weight: bold;
  text-transform: uppercase;
  padding: 0.75rem 2rem;
  border: none;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.cta-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.hero-img {
  z-index: 1000;
}
.hero-img img {
}
/* END HERO AREA */

/* TESTIMONIOS AREA */

.servicios-titulo {
  display: flex;
  flex-direction: column;
  height: 73px;

  margin: 0 auto;
  margin-top: 56px;
}

#servicios-titulo-h2 {
  font-family: "Cinzel Decorative", serif;

  font-size: 48px;
  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to right,
    #e7b94b,
    #fceabb,
    #e7b94b
  ); /* Degradado dorado horizontal */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0px;
  position: relative;
  display: inline-block;
  padding-bottom: 10px;
  margin-top: -40px;
}

.servicios-titulo img {
  width: 350px;
  margin: 0 auto;
}

/* TESTIMONIOS AREA */

/* HISTORIAS */

.seccionHistorias {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 100px;
  width: 100%;
  max-width: 1125px;
  justify-content: center;
  margin: 0 auto;
  padding: 60px 20px;
  margin-top: 50px;
}

.historia {
  position: relative;
  width: 300px;
  height: 544px;
  background: linear-gradient(to bottom, #e0e0e0, #f0f0f0);
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 0 30px rgba(255, 255, 255, 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 0 20px 5px #ffd9003e;
}
.historia:hover {
  box-shadow: 0 0 20px 5px #ffd900b1;
}

.historia video {
  width: 100%;
  height: 110%;
  object-fit: cover;
}

.card {
  width: 340px;
  padding: 30px 20px;
  border-radius: 4px;

  background-image: url("./assets/testimonialBack.png"); /* <- aquí tu imagen */
  background-size: cover;
  background-position: 0%;
  background-repeat: no-repeat;
  position: relative;
  color: #000;
}

.cita p {
  font-size: 16px;
  line-height: 1.5;
  margin: 10px 20px 20px 0;
  padding-left: 20px;
  text-align: justify;
}

.cita span {
  display: block;
  font-weight: bold;
  text-align: left;
  padding-left: 20px;
}

/* HISTORIAS */
/* FOOTER */
footer p {
  color: white;
  margin-top: 150px;
  text-align: center;
  font-size: 24px;
  margin-bottom: 50px;
  font-weight: lighter;
  opacity: 0.7;
}

/* FOOTER */

/* BOOKING BUTTON */

.booking-banner {
  margin-top: 100px;
  width: 100%;
  padding: 40px 20px;
  background: linear-gradient(90deg, #1e1025, #2c1a35);
  display: flex;
  justify-content: center;
  align-items: center;
}

.booking-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif;
  font-size: 1.2rem; /* Tamaño más grande */
  font-weight: bold;

  padding: 1.5rem 4rem; /* Más padding */
  border: none;
  border-radius: 30px;
  box-shadow: 0 0 15px rgba(255, 225, 100, 0.5);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.3s ease;
}

.booking-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 25px rgba(255, 225, 100, 0.7);
}
